Index: connect/other/pppoe/pppoe-config.xml
===================================================================
--- connect/other/pppoe/pppoe-config.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ connect/other/pppoe/pppoe-config.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -17,5 +17,5 @@
 
 <para>When configuring your connection, you will need to have your 
-ISP's nameserver information availible, as well as your username and 
+ISP's nameserver information available, as well as your username and 
 password.  You will also be asked whether to configure a dial-on-demand 
 or a constant connection.  If your service provider does not charge by 
Index: connect/other/pppoe/pppoe-desc.xml
===================================================================
--- connect/other/pppoe/pppoe-desc.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ connect/other/pppoe/pppoe-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -23,5 +23,5 @@
 
 <sect3><title>pppoe</title><para>This is the client itself.
-Generally it should not be started on it's own.</para></sect3>
+Generally it should not be started on its own.</para></sect3>
 
 <sect3><title>pppoe-relay</title><para>Starts the server relay 
Index: connect/other/pppoe/pppoe-exp.xml
===================================================================
--- connect/other/pppoe/pppoe-exp.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ connect/other/pppoe/pppoe-exp.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -5,5 +5,5 @@
 the <userinput>/usr</userinput> prefix.  You can optionally use the 
 <userinput>'go'</userinput> script in the root of the source tree, to
-run the exact same commands, which are then, immediately followed by the 
+run the same commands, which are then immediately followed by the 
 <userinput>adsl-setup</userinput> script.</para>
 
Index: connect/other/pppoe/pppoe-intro.xml
===================================================================
--- connect/other/pppoe/pppoe-intro.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ connect/other/pppoe/pppoe-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -9,7 +9,7 @@
 
 <para>The Roaring Penguin PPPoE package contains both a client and a 
-server componenet that works with the client. The client allows you 
+server component that works with the client. The client allows you 
 to connect to large networks that use the PPPoE protocol, common among 
-ADSL providers.  The server component runs along side the client, 
+ADSL providers.  The server component runs alongside the client, 
 allowing you to configure other clients that send out a configuration 
 request.</para>
Index: general/general.ent
===================================================================
--- general/general.ent	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ general/general.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -51,4 +51,5 @@
 <!ENTITY % aalib SYSTEM "graphlib/aalib/aalib.ent">
 <!ENTITY % svgalib SYSTEM "graphlib/svgalib/svgalib.ent">
+<!ENTITY % directfb SYSTEM "graphlib/directfb/directfb.ent">
 %lcms;
 %libjpeg;
@@ -60,4 +61,5 @@
 %aalib;
 %svgalib;
+%directfb;
 
 <!-- General Utilities -->
@@ -97,4 +99,5 @@
 <!ENTITY % gnat SYSTEM "prog/gcc/gnat.ent">
 <!ENTITY % gcc2 SYSTEM "prog/gcc2/gcc2.ent">
+<!ENTITY % nasm SYSTEM "prog/nasm/nasm.ent">
 %python;
 %perl-modules;
@@ -105,2 +108,3 @@
 %gcc;
 %gcc2;
+%nasm;
Index: general/graphlib/directfb.xml
===================================================================
--- general/graphlib/directfb.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/graphlib/directfb.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,10 @@
+<sect1 id="DirectFB" xreflabel="DirectFB-&DirectFB-version;">
+<?dbhtml filename="DirectFB.html" dir="general"?>
+<title>DirectFB-&DirectFB-version;</title>
+
+&DirectFB-intro;
+&DirectFB-inst;
+&DirectFB-config;
+&DirectFB-desc;
+
+</sect1>
Index: general/graphlib/directfb/directfb-config.xml
===================================================================
--- general/graphlib/directfb/directfb-config.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/graphlib/directfb/directfb-config.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,19 @@
+<sect2>
+<title>Configuring DirectFB</title>
+
+<sect3><title>Config files</title>
+
+<para><filename>/etc/directfbrc</filename>,
+<filename>~/.directfbrc</filename></para>
+</sect3>
+
+<sect3><title>Configuration information</title>
+
+<para>DirectFB is shipped with reasonable defaults but you might have to
+tweak things. There are several ways to do this. You may edit the
+system-wide configuration file <filename>/etc/directfbrc</filename>, the user-specific
+<filename>~/.directfbrc</filename> or you may configure DirectFB application via the
+command-line. Consult directfbrc(5) manual page for details.</para>
+</sect3>
+
+</sect2>
Index: general/graphlib/directfb/directfb-desc.xml
===================================================================
--- general/graphlib/directfb/directfb-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/graphlib/directfb/directfb-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,43 @@
+<sect2>
+<title>Contents</title>
+
+<para>DirectFB package provides <command>dfbdump</command>,
+<command>dfbg</command>, <command>dfbinfo</command>,
+<command>dfblayer</command>, <command>directfb-config</command>,
+<command>directfb-csource</command> and <filename
+class="libraryfile">libdirectfb</filename> libraries.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>dfbdump</title>
+<para> This is a simple debugging tool for DirectFB that shows a list
+of surfaces and windows.</para></sect3>
+
+<sect3><title>dfbg</title>
+<para><command>dfbg</command> is a background configuration
+tool.</para></sect3>
+
+<sect3><title>dfbinfo</title>
+<para>This tool enumerates input devices.</para></sect3>
+
+<sect3><title>dfblayer</title>
+<para><command>dfblayer</command> is a display layer configuration
+tool.</para></sect3>
+
+<sect3><title>directfb-config</title>
+<para><command>directfb-config</command> provides all flags to link static binaries with
+choosable drivers and other modules built in.</para></sect3>
+
+<sect3><title>directfb-csource</title>
+<para>This is a C code generation utility for DirectFB
+surfaces.</para></sect3>
+
+<sect3><title>libdirectfb libraries</title>
+<para>They provide hardware graphics acceleration, input device handling 
+and abstraction, integrated windowing system with support for 
+translucent windows and multiple display layers on top of the Linux 
+framebuffer device.</para></sect3>
+
+</sect2>
Index: general/graphlib/directfb/directfb-inst.xml
===================================================================
--- general/graphlib/directfb/directfb-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/graphlib/directfb/directfb-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,18 @@
+<sect2>
+<title>Installation of <application>DirectFB</application></title>
+
+<note><para>
+DirectFB needs a Linux kernel with frame buffer support. Check
+the documentation in the kernel tree
+(<filename class="directory">/usr/src/linux/Documentation/fb/</filename>)
+on how to enable the frame buffer device for your graphics
+card.</para></note>
+
+<para>Install <application>DirectFB</application> by running the
+following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: general/graphlib/directfb/directfb-intro.xml
===================================================================
--- general/graphlib/directfb/directfb-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/graphlib/directfb/directfb-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,27 @@
+<sect2>
+<title>Introduction to <application>DirectFB</application></title>
+
+<para><application>DirectFB</application> is a graphics library on top of the Linux framebuffer 
+device. It offers maximum hardware accelerated performance at a
+minimum of resource usage and overhead.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&DirectFB-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&DirectFB-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &DirectFB-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &DirectFB-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &DirectFB-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>DirectFB</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="freetype2"/>, <xref linkend="libjpeg"/> and 
+<xref linkend="libpng"/>
+</para></sect4>
+<sect4><title>Optional</title>
+<para><xref linkend="SDL"/>, <xref linkend="libmpeg3"/> and
+<xref linkend="pkgconfig"/></para></sect4>
+</sect3>
+
+</sect2>
Index: general/graphlib/directfb/directfb.ent
===================================================================
--- general/graphlib/directfb/directfb.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/graphlib/directfb/directfb.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,13 @@
+<!ENTITY DirectFB SYSTEM "../directfb.xml">
+<!ENTITY DirectFB-intro SYSTEM "directfb-intro.xml">
+<!ENTITY DirectFB-inst SYSTEM "directfb-inst.xml">
+<!ENTITY DirectFB-exp SYSTEM "directfb-exp.xml">
+<!ENTITY DirectFB-desc SYSTEM "directfb-desc.xml">
+<!ENTITY DirectFB-config SYSTEM "directfb-config.xml">
+<!ENTITY DirectFB-buildsize "13.8 MB">
+<!ENTITY DirectFB-version "0.9.19">
+<!ENTITY DirectFB-download-http
+"http://www.directfb.org/download/DirectFB/DirectFB-&DirectFB-version;.tar.gz">
+<!ENTITY DirectFB-download-ftp "">
+<!ENTITY DirectFB-size "1.1 MB">
+<!ENTITY DirectFB-time "0.51 SBU">
Index: general/graphlib/graphlib.xml
===================================================================
--- general/graphlib/graphlib.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ general/graphlib/graphlib.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -17,4 +17,5 @@
 &aalib;
 &SVGAlib;
+&DirectFB;
 
 </chapter>
Index: general/graphlib/svgalib/svgalib-exp.xml
===================================================================
--- general/graphlib/svgalib/svgalib-exp.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ general/graphlib/svgalib/svgalib-exp.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -3,5 +3,5 @@
 
 <para><command>cd doc &amp;&amp; for dir in man?; do for file in $dir/*; do
-gunzip /usr/share/man/$file; done; done</command> : SVGAlib installs its man
+gunzip /usr/share/man/$file; done; done</command> : SVGAlib installs it's man
 pages in compressed format so we uncompress them.</para>
 
Index: general/graphlib/svgalib/svgalib.ent
===================================================================
--- general/graphlib/svgalib/svgalib.ent	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ general/graphlib/svgalib/svgalib.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -2,5 +2,4 @@
 <!ENTITY SVGAlib-intro SYSTEM "svgalib-intro.xml">
 <!ENTITY SVGAlib-inst SYSTEM "svgalib-inst.xml">
-<!ENTITY SVGAlib-exp SYSTEM "svgalib-exp.xml">
 <!ENTITY SVGAlib-exp SYSTEM "svgalib-exp.xml">
 <!ENTITY SVGAlib-desc SYSTEM "svgalib-desc.xml">
Index: general/prog/nasm.xml
===================================================================
--- general/prog/nasm.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/prog/nasm.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,9 @@
+<sect1 id="NASM" xreflabel="NASM-&NASM-version;">
+<?dbhtml filename="NASM.html" dir="general"?>
+<title>NASM-&NASM-version;</title>
+
+&NASM-intro;
+&NASM-inst;
+&NASM-desc;
+
+</sect1>
Index: general/prog/nasm/nasm-desc.xml
===================================================================
--- general/prog/nasm/nasm-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/prog/nasm/nasm-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,17 @@
+<sect2>
+<title>Contents</title>
+
+<para>The NASM package contains <command>nasm</command> and
+<command>ndisasm</command> programs.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>nasm</title>
+<para><command>nasm</command> is a portable 80x86 assembler.</para></sect3>
+
+<sect3><title>ndisasm</title>
+<para><command>ndisasm</command> is an 80x86 binary file disassembler.</para></sect3>
+
+</sect2>
Index: general/prog/nasm/nasm-inst.xml
===================================================================
--- general/prog/nasm/nasm-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/prog/nasm/nasm-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,11 @@
+<sect2>
+<title>Installation of <application>NASM</application></title>
+
+<para>Install <application>NASM</application> by running the
+following commands:</para>
+
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
Index: general/prog/nasm/nasm-intro.xml
===================================================================
--- general/prog/nasm/nasm-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/prog/nasm/nasm-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,16 @@
+<sect2>
+<title>Introduction to <application>NASM</application></title>
+
+<para>NASM (The Netwide Assembler) is an 80x86 assembler designed for
+portability and modularity. It includes a disassembler as well.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&NASM-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&NASM-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &NASM-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &NASM-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &NASM-time;</para></listitem></itemizedlist>
+</sect3>
+
+</sect2>
Index: general/prog/nasm/nasm.ent
===================================================================
--- general/prog/nasm/nasm.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ general/prog/nasm/nasm.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,13 @@
+<!ENTITY NASM SYSTEM "../nasm.xml">
+<!ENTITY NASM-intro SYSTEM "nasm-intro.xml">
+<!ENTITY NASM-inst SYSTEM "nasm-inst.xml">
+<!ENTITY NASM-exp SYSTEM "nasm-exp.xml">
+<!ENTITY NASM-desc SYSTEM "nasm-desc.xml">
+<!ENTITY NASM-config SYSTEM "nasm-config.xml">
+<!ENTITY NASM-buildsize "7.1 MB">
+<!ENTITY NASM-version "0.98.37">
+<!ENTITY NASM-download-http
+"http://unc.dl.sourceforge.net/sourceforge/nasm/nasm-&NASM-version;.tar.bz2">
+<!ENTITY NASM-download-ftp "">
+<!ENTITY NASM-size "524 KB">
+<!ENTITY NASM-time "0.12 SBU">
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ general/prog/prog.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -10,4 +10,5 @@
 &gcc;
 &gcc2;
+&NASM;
 
 </chapter>
Index: index.xml
===================================================================
--- index.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ index.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "20030901">
-<!ENTITY releasedate "September 1st, 2003">
+<!ENTITY version "20030902">
+<!ENTITY releasedate "September 2nd, 2003">
 
 <!ENTITY % book SYSTEM "book/book.ent">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ introduction/welcome/changelog.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -10,4 +10,7 @@
 
 <itemizedlist>
+
+<listitem><para>September 2nd, 2003 [larry]: Edit submission by DJ,
+added NASM, directFB, libMPEG3 and updated SDL by Igor.</para></listitem> 
 
 <listitem><para>September 1st, 2003 [larry]: updated intro to
Index: introduction/welcome/credits.xml
===================================================================
--- introduction/welcome/credits.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ introduction/welcome/credits.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -129,5 +129,5 @@
 Downing</emphasis></para></listitem>
 
-<listitem><para>SVGAlib: <emphasis>Igor
+<listitem><para>directFB, libMPEG3, NASM and SVGAlib: <emphasis>Igor
 Zivkovic</emphasis></para></listitem>
 
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ multimedia/libdriv/libdriv.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -18,4 +18,5 @@
 &libvorbis;
 &nas;
+&libmpeg3;
 
 </chapter>
Index: multimedia/libdriv/libmpeg3.xml
===================================================================
--- multimedia/libdriv/libmpeg3.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ multimedia/libdriv/libmpeg3.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,10 @@
+<sect1 id="libmpeg3" xreflabel="libmpeg3-&libmpeg3-version;">
+<?dbhtml filename="libmpeg3.html" dir="multimedia"?>
+<title>libmpeg3-&libmpeg3-version;</title>
+
+&libmpeg3-intro;
+&libmpeg3-inst;
+&libmpeg3-exp;
+&libmpeg3-desc;
+
+</sect1>
Index: multimedia/libdriv/libmpeg3/libmpeg3-desc.xml
===================================================================
--- multimedia/libdriv/libmpeg3/libmpeg3-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ multimedia/libdriv/libmpeg3/libmpeg3-desc.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,30 @@
+<sect2>
+<title>Contents</title>
+
+<para>The libmpeg3 package provides <filename
+class="libraryfile">libmpeg3</filename> library,
+<command>mpeg3cat</command>, <command>mpeg3dump</command>
+and <command>mpeg3toc</command> utilities.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>libmpeg3</title>
+<para><filename class="libraryfile">libmpeg3</filename> decodes several
+<acronym>MPEG</acronym> standards into uncompressed data
+suitable for editing and playback.</para></sect3>
+
+<sect3><title>mpeg3cat</title>
+<para><command>mpeg3cat</command> concatenates elementary streams or demultiplexes a program
+stream.</para></sect3>
+
+<sect3><title>mpeg3dump</title>
+<para><command>mpeg3dump</command> dumps information or extracts audio
+to a 24 bit pcm file.</para></sect3>
+
+<sect3><title>mpeg3toc</title>
+<para><command>mpeg3toc</command> creates a table of contents for a
+<acronym>DVD</acronym> or <acronym>MPEG</acronym> stream.</para></sect3>
+
+</sect2>
Index: multimedia/libdriv/libmpeg3/libmpeg3-exp.xml
===================================================================
--- multimedia/libdriv/libmpeg3/libmpeg3-exp.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ multimedia/libdriv/libmpeg3/libmpeg3-exp.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,9 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><command>cp i686/libmpeg3.a /usr/lib && cp libmpeg3.h
+mpeg3private.h /usr/include</command> : Since make install 
+doesn't copy the library and header files to proper locations, 
+we have to do it manually.</para>
+
+</sect2>
Index: multimedia/libdriv/libmpeg3/libmpeg3-inst.xml
===================================================================
--- multimedia/libdriv/libmpeg3/libmpeg3-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ multimedia/libdriv/libmpeg3/libmpeg3-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of <application>libmpeg3</application></title>
+
+<para>Install <application>libmpeg3</application> by running the following
+commands:</para>
+
+<screen><userinput><command>make &amp;&amp;
+make install &amp;&amp;
+cp i686/libmpeg3.a /usr/lib &amp;&amp;
+cp libmpeg3.h mpeg3private.h /usr/include</command></userinput></screen>
+
+</sect2>
Index: multimedia/libdriv/libmpeg3/libmpeg3-intro.xml
===================================================================
--- multimedia/libdriv/libmpeg3/libmpeg3-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ multimedia/libdriv/libmpeg3/libmpeg3-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,21 @@
+<sect2>
+<title>Introduction to <application>libmpeg3</application></title>
+
+<para><application>Libmpeg3</application> supports advanced editing and
+manipulation of <acronym>MPEG</acronym> streams.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&libmpeg3-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&libmpeg3-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &libmpeg3-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &libmpeg3-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &libmpeg3-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>libmpeg3</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="NASM"/></para></sect4>
+</sect3>
+
+</sect2>
Index: multimedia/libdriv/libmpeg3/libmpeg3.ent
===================================================================
--- multimedia/libdriv/libmpeg3/libmpeg3.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
+++ multimedia/libdriv/libmpeg3/libmpeg3.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -0,0 +1,13 @@
+<!ENTITY libmpeg3 SYSTEM "../libmpeg3.xml">
+<!ENTITY libmpeg3-intro SYSTEM "libmpeg3-intro.xml">
+<!ENTITY libmpeg3-inst SYSTEM "libmpeg3-inst.xml">
+<!ENTITY libmpeg3-exp SYSTEM "libmpeg3-exp.xml">
+<!ENTITY libmpeg3-desc SYSTEM "libmpeg3-desc.xml">
+<!ENTITY libmpeg3-config SYSTEM "libmpeg3-config.xml">
+<!ENTITY libmpeg3-buildsize "7.0 MB">
+<!ENTITY libmpeg3-version "1.5.2">
+<!ENTITY libmpeg3-download-http
+"http://aleron.dl.sourceforge.net/sourceforge/heroines/libmpeg3-&libmpeg3-version;-src.tar.bz2">
+<!ENTITY libmpeg3-download-ftp "">
+<!ENTITY libmpeg3-size "611 KB">
+<!ENTITY libmpeg3-time "0.13 SBU">
Index: multimedia/libdriv/sdl/sdl-exp.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-exp.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ multimedia/libdriv/sdl/sdl-exp.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -2,7 +2,7 @@
 <title>Command explanations</title>
 
-<para><userinput>--disable-debug</userinput> : This switch configures SDL to build with aggressive optimizations.</para>
+<para><command>--disable-debug</command> : This switch configures SDL to build with aggressive optimizations.</para>
 
-<para><userinput>--enable-video-aalib</userinput> : This optional switch
+<para><command>--enable-video-aalib</command> : This optional switch
 is required to build SDL with AAlib video support.</para>
 
Index: multimedia/libdriv/sdl/sdl-inst.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-inst.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ multimedia/libdriv/sdl/sdl-inst.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -1,10 +1,10 @@
 <sect2>
-<title>Installation of SDL</title>
+<title>Installation of <application>SDL</application></title>
 
-<para>Install SDL by running the following commands:</para>
+<para>Install <application>SDL</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --disable-debug &amp;&amp;</userinput>
-<userinput>make &amp;&amp;</userinput>
-<userinput>make install</userinput></screen></para>
+<screen><userinput><command>./configure --prefix=/usr --disable-debug &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
 
 </sect2>
Index: multimedia/libdriv/sdl/sdl-intro.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-intro.xml	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ multimedia/libdriv/sdl/sdl-intro.xml	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -1,20 +1,26 @@
 <sect2>
-<title>Introduction to SDL</title>
+<title>Introduction to <application>SDL</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&SDL-download-http;"/>
-Download location (FTP):        <ulink url="&SDL-download-ftp;"/>
-Version used:                   &SDL-version;
-Package size:                   &SDL-size;
-Estimated Disk space required:  &SDL-buildsize;</screen>
+<para>The Simple DirectMedia Layer (<application>SDL</application> for 
+short) is a cross-platform library designed to make it easy to write 
+multimedia software, such as games and emulators.</para>
 
-<para>The Simple DirectMedia Layer (SDL for short) is a cross-platform library
-designed to make it easy to write multimedia software, such as games and
-emulators.</para>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&SDL-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&SDL-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &SDL-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &SDL-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &SDL-time;</para></listitem></itemizedlist>
+</sect3>
 
-<screen>SDL will utilize:
-oss, <xref linkend="alsa"/>, <xref linkend="esound"/>, <xref
-linkend="arts"/>, <xref linkend="nas"/>, <ulink url="http://nasm.sourceforge.net">nasm</ulink>, 
-<xref linkend="xfree86"/>,  <xref linkend="aalib"/> and <ulink url="http://www.directfb.com">DirectFB</ulink></screen>
-
+<sect3><title><application>SDL</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="alsa"/>, <xref linkend="esound"/>, <xref
+linkend="arts"/>, <xref linkend="nas"/>, <xref linkend="NASM"/>, 
+<xref linkend="xfree86"/>,  <xref linkend="aalib"/> and <xref
+linkend="DirectFB"/>
+</para></sect4>
+</sect3>
 
 </sect2>
Index: multimedia/libdriv/sdl/sdl.ent
===================================================================
--- multimedia/libdriv/sdl/sdl.ent	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ multimedia/libdriv/sdl/sdl.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -5,8 +5,8 @@
 <!ENTITY SDL-desc SYSTEM "sdl-desc.xml">
 <!ENTITY SDL-config SYSTEM "sdl-config.xml">
-<!ENTITY SDL-buildsize "14 MB">
+<!ENTITY SDL-buildsize "49.2 MB">
 <!ENTITY SDL-version "1.2.5">
 <!ENTITY SDL-download-http "http://www.libsdl.org/release/SDL-&SDL-version;.tar.gz">
 <!ENTITY SDL-download-ftp "">
 <!ENTITY SDL-size "1.8 MB">
-<!ENTITY SDL-time "1.58 SBU">
+<!ENTITY SDL-time "0.70 SBU">
Index: multimedia/multimedia.ent
===================================================================
--- multimedia/multimedia.ent	(revision c364b5a70ff3ad70dc0d155a6f25201eaa643052)
+++ multimedia/multimedia.ent	(revision 284d8e17d3b7858281c0c790894adaf0eef34924)
@@ -12,4 +12,5 @@
 <!ENTITY % ogg SYSTEM "libdriv/ogg/ogg.ent">
 <!ENTITY % nas SYSTEM "libdriv/nas/nas.ent">
+<!ENTITY % libmpeg3 SYSTEM "libdriv/libmpeg3/libmpeg3.ent">
 %alsa;
 <!-- %arts; -->
@@ -20,4 +21,5 @@
 %ogg;
 %nas;
+%libmpeg3;
 
 <!-- Audio utilities -->