Index: multimedia/libdriv/alsa-lib.xml
===================================================================
--- multimedia/libdriv/alsa-lib.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
+++ multimedia/libdriv/alsa-lib.xml	(revision 288e4e0c5ce346872f738fc4bce5828de476a92c)
@@ -7,6 +7,6 @@
   <!ENTITY alsa-lib-download-http " ">
   <!ENTITY alsa-lib-download-ftp  "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-  <!ENTITY alsa-lib-md5sum        "a2b465c3a5265d8a57f3ff39c6c4fc29">
-  <!ENTITY alsa-lib-size          "960 KB">
+  <!ENTITY alsa-lib-md5sum        "2f981a8f7897c59ec2ddc44916d33788">
+  <!ENTITY alsa-lib-size          "967 KB">
   <!ENTITY alsa-lib-buildsize     "31 MB (with tests)">
   <!ENTITY alsa-lib-time          "0.3 SBU (with tests)">
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
+++ multimedia/libdriv/alsa-oss.xml	(revision 288e4e0c5ce346872f738fc4bce5828de476a92c)
@@ -7,6 +7,6 @@
   <!ENTITY alsa-oss-download-http " ">
   <!ENTITY alsa-oss-download-ftp  "&alsa-download-ftp;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
-  <!ENTITY alsa-oss-md5sum        "91f57e8cee1ad4cc956caa8b62ac5d43">
-  <!ENTITY alsa-oss-size          "288 KB">
+  <!ENTITY alsa-oss-md5sum        "fc845cafc4444193510ab1865c7350b8">
+  <!ENTITY alsa-oss-size          "285 KB">
   <!ENTITY alsa-oss-buildsize     "2.8 MB">
   <!ENTITY alsa-oss-time          "less than 0.1 SBU">
Index: multimedia/libdriv/alsa-plugins.xml
===================================================================
--- multimedia/libdriv/alsa-plugins.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
+++ multimedia/libdriv/alsa-plugins.xml	(revision 288e4e0c5ce346872f738fc4bce5828de476a92c)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-plugins-download-http " ">
   <!ENTITY alsa-plugins-download-ftp  "&alsa-download-ftp;/plugins/alsa-plugins-&alsa-plugins-version;.tar.bz2">
-  <!ENTITY alsa-plugins-md5sum        "f898b0e6e8acf3f6f82bc2a0f0c84a97">
-  <!ENTITY alsa-plugins-size          "360 KB">
-  <!ENTITY alsa-plugins-buildsize     "4.5 MB">
+  <!ENTITY alsa-plugins-md5sum        "8387279e99feeb2ecffaac5f293223d7">
+  <!ENTITY alsa-plugins-size          "359 KB">
+  <!ENTITY alsa-plugins-buildsize     "4.7 MB">
   <!ENTITY alsa-plugins-time          "less than 0.1 SBU">
 ]>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
+++ multimedia/libdriv/alsa-tools.xml	(revision 288e4e0c5ce346872f738fc4bce5828de476a92c)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-tools-download-http " ">
   <!ENTITY alsa-tools-download-ftp  "&alsa-download-ftp;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-  <!ENTITY alsa-tools-md5sum        "3afb92eb1b4f2edc8691498e57c3ec78">
-  <!ENTITY alsa-tools-size          "1.6 MB">
-  <!ENTITY alsa-tools-buildsize     "18 MB">
+  <!ENTITY alsa-tools-md5sum        "5ca8c9437ae779997cd62fb2815fef19">
+  <!ENTITY alsa-tools-size          "1.7 MB">
+  <!ENTITY alsa-tools-buildsize     "24 MB">
   <!ENTITY alsa-tools-time          "0.3 SBU">
 ]>
Index: multimedia/libdriv/alsa-utils.xml
===================================================================
--- multimedia/libdriv/alsa-utils.xml	(revision 136fbca17ec598d4b074d149ec51f33ccee54bcf)
+++ multimedia/libdriv/alsa-utils.xml	(revision 288e4e0c5ce346872f738fc4bce5828de476a92c)
@@ -7,7 +7,7 @@
   <!ENTITY alsa-utils-download-http " ">
   <!ENTITY alsa-utils-download-ftp  "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-  <!ENTITY alsa-utils-md5sum        "dfe6ea147a5e07a056919591c2f5dac3">
-  <!ENTITY alsa-utils-size          "1.1 MB">
-  <!ENTITY alsa-utils-buildsize     "9.4 MB">
+  <!ENTITY alsa-utils-md5sum        "50ae75567459646b843bed78d916b002">
+  <!ENTITY alsa-utils-size          "1.2 MB">
+  <!ENTITY alsa-utils-buildsize     "9.9 MB">
   <!ENTITY alsa-utils-time          "0.1 SBU">
 ]>