Index: basicnet/netprogs/ncpfs/ncpfs-inst.xml
===================================================================
--- basicnet/netprogs/ncpfs/ncpfs-inst.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ basicnet/netprogs/ncpfs/ncpfs-inst.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -4,5 +4,5 @@
 <para>Install ncpfs by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr --inxludedir=/usr/include \
+<para><screen><userinput>./configure --prefix=/usr --includedir=/usr/include \
     --mandir=/usr/share/man --datadir=/usr/share &amp;&amp;
 make &amp;&amp;
Index: general/sysutils/fcron/fcron-config.xml
===================================================================
--- general/sysutils/fcron/fcron-config.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ general/sysutils/fcron/fcron-config.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -2,18 +2,24 @@
 <title>Configuring fcron</title>
 
-<sect3><title>make install script</title>
+<sect3><title>Config files</title>
 
-<para>After the files are installed, the make install script enters into a
-configuration routine.  The first test will be for a group named fcron.  If
-it does not exist, you will be given the command line that the script proposes
-to run and a prompt for a 'y' or 'n'.  This is repeated to create a user named
-fcron and to install a script in the init.d directory with the appropriate
-symbolic links in runlevels 2, 3, 4, and 5.  The final configuration step is to
-stop any current fcron processes and start the new fcron.  A yes here will stop
-current fcron processes and will start the new fcron.  The following
-commands will overwrite the fcron script with one based upon the BLFS
-template:</para>
+<para><filename>/etc/fcron.conf</filename>,
+<filename>/etc/fcron.allow</filename>,
+<filename>/etc/fcron.deny</filename></para>
 
-<para><screen><userinput>cat &gt; /etc/rc.d/init.d/fcron &lt;&lt; "EOF"</userinput>
+</sect3>
+
+<sect3><title>Configuration Information</title>
+
+<para>There are no required changes in any of the config files.
+Configuration information can be found in the man page for
+<filename>fcron.conf</filename>.</para>
+
+<para>Fcron scripts are written using fcrontab. Refer to the man page
+for fcrontab for proper parameters for your situation.</para>
+
+<para>Create the boot script with the following:</para>
+
+<screen><userinput><command>cat &gt; /etc/rc.d/init.d/fcron &lt;&lt; "EOF"
 #!/bin/sh
 # Begin $rc_base/init.d/fcron
@@ -53,23 +59,20 @@
 
 # End $rc_base/init.d/fcron
-<userinput>EOF
-chmod 755 /etc/rc.d/init.d/fcron &amp;&amp;
-mv /etc/rc.d/rc0.d/K60fcron /etc/rc.d/rc0.d/K08fcron &amp;&amp;
-mv /etc/rc.d/rc6.d/K60fcron /etc/rc.d/rc6.d/K08fcron</userinput></screen></para>
+EOF
+chmod 755 /etc/rc.d/init.d/fcron</command></userinput></screen>
+
+<para>Create the symbolic links to this file in the relevant
+<filename class="directory">rc.d</filename> directory
+with the following commands:</para>
+
+<screen><userinput><command>cd /etc/rc.d/init.d &amp;&amp;
+ln -sf ../init.d/fcron ../rc0.d/K08fcron &amp;&amp;
+ln -sf ../init.d/fcron ../rc2.d/S40fcron &amp;&amp;
+ln -sf ../init.d/fcron ../rc3.d/S40fcron &amp;&amp;
+ln -sf ../init.d/fcron ../rc4.d/S40fcron &amp;&amp;
+ln -sf ../init.d/fcron ../rc5.d/S40fcron &amp;&amp;
+ln -sf ../init.d/fcron ../rc6.d/K08fcron</command></userinput></screen>
+
 </sect3>
 
-<sect3><title>Config files</title>
-
-<para><filename>/etc/fcron.conf</filename>,
-<filename>/etc/fcron.allow</filename>,
-<filename>/etc/fcron.deny</filename></para>
-
-<para>There are no required changes in any of these files.
-Configuration information can be found in the man page for
-<filename>fcron.conf</filename>.</para>
-
-<para>fcron scripts are written using fcrontab.  Refer to the man page
-for fcrontab for proper parameters for your situation.</para></sect3>
-
 </sect2>
-
Index: general/sysutils/fcron/fcron-desc.xml
===================================================================
--- general/sysutils/fcron/fcron-desc.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ general/sysutils/fcron/fcron-desc.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -2,6 +2,6 @@
 <title>Contents</title>
 
-<para>The fcron package contains <userinput>fcron, fcrontab,
-fcronsighup</userinput> and <userinput>fcrondyn.</userinput></para>
+<para>The fcron package contains <command>fcron, fcrontab,
+fcronsighup</command> and <command>fcrondyn.</command></para>
 
 </sect2>
@@ -10,19 +10,18 @@
 
 <sect3><title>fcron</title>
-<para>fcron is the scheduling daemon.
+<para><command>fcron</command> is the scheduling daemon.
 </para></sect3>
 
 <sect3><title>fcrontab</title>
-<para>fcrontab is the program used to install, edit, list and remove the
-tables used by fcron.</para></sect3>
+<para><command>fcrontab</command> is the program used to install, edit, list and remove the
+tables used by <command>fcron</command>.</para></sect3>
 
 <sect3><title>fcronsighup</title>
-<para>fcronsighup instructs fcron to reread the fcron tables.
+<para><command>fcronsighup</command> instructs <command>fcron</command> to reread the fcron tables.
 </para></sect3>
 
 <sect3><title>fcrondyn</title>
-<para>fcrondyn is a user tool intended to interact with a running fcron
+<para><command>fcrondyn</command> is a user tool intended to interact with a running fcron
 daemon.</para></sect3>
 
 </sect2>
-
Index: general/sysutils/fcron/fcron-exp.xml
===================================================================
--- general/sysutils/fcron/fcron-exp.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ general/sysutils/fcron/fcron-exp.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -2,12 +2,22 @@
 <title>Command explanations</title>
 
-<para><userinput>--with-dsssl-dir=/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;
-</userinput> : Can be added IF you have installed openjade and dsssl-stylesheets.</para>
+<para><command>--without-sendmail</command> : Fcron does not require
+sendmail to run, but will use it if it is installed to email you the 
+results of the fcron script. If you wish to utilize this feature change 
+the switch to <command>--with-sendmail=/usr/sbin</command>.</para>
 
-<!--
-<para><userinput>make CC="gcc $CFLAGS":</userinput> This makes fcron
-compile using our CFLAGS for optimizations.</para>
--->
+<para><command>--with-dsssl-dir=/usr/share/sgml/docbook/dsssl-stylesheets-&docbook-dsssl-version;
+</command> : Can be added if you have installed openjade and
+dsssl-stylesheets to generate the documentation from the DocBook source
+files.</para>
+
+<para><command>yes 'n' | make install</command> : After the files are
+installed, the make install script enters into a configuration routine.
+The first test will be whether to install a boot script in the <filename
+class="directory">/etc/rc.d/init.d</filename> directory with the 
+appropriate symbolic links in runlevels 2, 3, 4, and 5. The second is to 
+stop any current fcron processes and start a new one. Since this is
+probably your first install and we want a boot script based upon the
+<acronym>BLFS</acronym> template we answer 'n' to both tests.</para>
 
 </sect2>
-
Index: general/sysutils/fcron/fcron-inst.xml
===================================================================
--- general/sysutils/fcron/fcron-inst.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ general/sysutils/fcron/fcron-inst.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -1,11 +1,12 @@
 <sect2>
-<title>Installation of fcron</title>
+<title>Installation of <application>fcron</application></title>
 
-<para>Fcron uses the cron facility of syslog to log all messages.  Since LFS 
-does not set up this facility in <filename>/etc/syslog.conf</filename>, it needs to be done prior 
-to installing fcron.  This command will append the necessary line to the 
-current <filename>/etc/syslog.conf</filename>.</para>
+<para><application>Fcron</application> uses the cron facility of syslog
+to log all messages. Since <acronym>LFS</acronym> does not set up this 
+facility in <filename>/etc/syslog.conf</filename>, it needs to be done 
+prior to installing fcron. This command will append the necessary line 
+to the current <filename>/etc/syslog.conf</filename>.</para>
 
-<para><screen><userinput>cat &gt;&gt; /etc/syslog.conf &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt;&gt; /etc/syslog.conf &lt;&lt; "EOF"
 # Begin fcron addition to /etc/syslog.conf
 
@@ -13,31 +14,22 @@
 
 # End fcron addition
-<userinput>EOF</userinput></screen></para>
+EOF</command></userinput></screen>
 
 <para>The configuration file has been modified, so reloading the sysklogd 
 daemon will activate the changes.</para>
 
-<para><screen><userinput>/etc/rc.d/init.d/sysklogd reload</userinput></screen></para>
+<screen><userinput><command>/etc/rc.d/init.d/sysklogd reload</command></userinput></screen>
 
-<para>Install fcron by running the following commands:</para>
+<para>For security reasons, we need to create an unpriviledged user and
+group for <application>fcron</application>:</para>
 
-<para><screen><userinput>./configure &amp;&amp;
+<screen><userinput><command>groupadd fcron &amp;&amp;
+useradd -c fcron -g fcron fcron</command></userinput></screen>
+
+<para>Install <application>fcron</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --without-sendmail &amp;&amp;
 make &amp;&amp;
-make install</userinput></screen></para>
+yes 'n' | make install</command></userinput></screen>
 
 </sect2>
-
-<sect2>
-
-<title>Install fcron without MTA </title>
-
-<para>Fcron does not require a mail transfer agent (MTA) to run, but will 
-use one if it is installed to email you the results of the fcron script.  If 
-you wish to install without a MTA, run the following commands:</para>
-
-<para><screen><userinput>./configure --without-sendmail &amp;&amp;
-make &amp;&amp;
-make install</userinput></screen></para>
-
-</sect2>
-
Index: general/sysutils/fcron/fcron-intro.xml
===================================================================
--- general/sysutils/fcron/fcron-intro.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ general/sysutils/fcron/fcron-intro.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -1,19 +1,24 @@
 <sect2>
-<title>Introduction to fcron</title>
+<title>Introduction to <application>fcron</application></title>
 
-<screen>Download location (HTTP):       <ulink url="&fcron-download-http;"/>
-Download location (FTP):        <ulink url="&fcron-download-ftp;"/>
-Version used:                   &fcron-version;
-Package size:                   &fcron-size;
-Estimated Disk space required:  &fcron-buildsize;</screen>
-
-<para>The fcron package contains the fcron daemon. &quot;It
+<para>The <application>fcron</application> package contains the fcron daemon. &quot;It
 is a periodical command scheduler which aims at replacing Vixie
 Cron.&quot; </para>
 
-<screen>fcron recommends:
-local mail system (<xref linkend="sendmail"/> or <xref linkend="postfix"/>, for example)
-fcron utilizes:
-<xref linkend="Linux_PAM"/>, <xref linkend="openjade"/> and <xref linkend="docbook-dsssl"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink url="&fcron-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink url="&fcron-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &fcron-size;</para></listitem>
+<listitem><para>Estimated Disk space required: &fcron-buildsize;</para></listitem>
+<listitem><para>Estimated build time: &fcron-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application>fcron</application> dependencies</title>
+<sect4><title>Optional</title>
+<para><xref linkend="sendmail"/>, <xref linkend="Linux_PAM"/>, <xref
+linkend="openjade"/> and <xref linkend="docbook-dsssl"/>
+</para></sect4>
+</sect3>
 
 </sect2>
Index: general/sysutils/fcron/fcron.ent
===================================================================
--- general/sysutils/fcron/fcron.ent	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ general/sysutils/fcron/fcron.ent	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -5,7 +5,8 @@
 <!ENTITY fcron-desc SYSTEM "fcron-desc.xml">
 <!ENTITY fcron-config SYSTEM "fcron-config.xml">
-<!ENTITY fcron-buildsize "2.7 MB">
+<!ENTITY fcron-buildsize "3.3 MB">
 <!ENTITY fcron-version "2.9.3">
-<!ENTITY fcron-download-http "http://fcron.free.fr/fcron-2.9.3.src.tar.gz">
-<!ENTITY fcron-download-ftp "ftp://ftp.seul.org/pub/fcron/fcron-2.9.3.src.tar.gz">
-<!ENTITY fcron-size "372 KB">
+<!ENTITY fcron-download-http "http://fcron.free.fr/fcron-&fcron-version;.src.tar.gz">
+<!ENTITY fcron-download-ftp "ftp://ftp.seul.org/pub/fcron/fcron-&fcron-version;.src.tar.gz">
+<!ENTITY fcron-size "365 KB">
+<!ENTITY fcron-time "0.11 SBU">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a504f0aafcc907e6e50c831d0340db2185225720)
+++ introduction/welcome/changelog.xml	(revision 292bc8bf7159c329ecf1703bebd7c00679a8bd7d)
@@ -11,5 +11,8 @@
 <itemizedlist>
 
-<listitem><para>Septerber 18th, 2003 [larry]: updated to
+<listitem><para>September 18th, 2003 [igor]: updated instructions
+for fcron-2.9.3.</para></listitem>
+    
+<listitem><para>September 18th, 2003 [larry]: updated to
 gal-0.24.</para></listitem>
 