Index: general.ent
===================================================================
--- general.ent	(revision cc2e1ac67fdb8b42058c5b21b0b357ef2ea713ad)
+++ general.ent	(revision 0293de00d808baa0406d52fea0495206ae6e2e7e)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "24">                   <!-- Always 2 digits -->
+<!ENTITY day          "25">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2019">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "February 24th, &year;">
+<!ENTITY releasedate  "February 25th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/sysutils/systemd.xml
===================================================================
--- general/sysutils/systemd.xml	(revision cc2e1ac67fdb8b42058c5b21b0b357ef2ea713ad)
+++ general/sysutils/systemd.xml	(revision 0293de00d808baa0406d52fea0495206ae6e2e7e)
@@ -72,5 +72,5 @@
         <para>
          Required patch:
-         <ulink url="&patch-root;/systemd-&systemd-version;-security_fixes-1.patch"/>
+         <ulink url="&patch-root;/systemd-&systemd-version;-security_fixes-2.patch"/>
         </para>
       </listitem>
@@ -131,5 +131,5 @@
     <para>Apply a critical security patch for journald:</para>
 
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-security_fixes-1.patch</userinput></screen>
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-security_fixes-2.patch</userinput></screen>
 
     <para>Remove an unneeded group,
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision cc2e1ac67fdb8b42058c5b21b0b357ef2ea713ad)
+++ introduction/welcome/changelog.xml	(revision 0293de00d808baa0406d52fea0495206ae6e2e7e)
@@ -42,4 +42,19 @@
     </listitem>
 -->
+    <listitem>
+      <para>February 25th, 2019</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to Libreoffice-6.2.0.3. Fixes
+          <ulink url="&blfs-ticket-root;11650">#11650</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Add new security patch for systemd to fix a PID1
+          crash over D-Bus.
+          Fixes <ulink url="&blfs-ticket-root;11691">#11691</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>February 24th, 2019</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision cc2e1ac67fdb8b42058c5b21b0b357ef2ea713ad)
+++ packages.ent	(revision 0293de00d808baa0406d52fea0495206ae6e2e7e)
@@ -849,6 +849,6 @@
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "6.1.4">
-<!ENTITY libreoffice-patch            ".2">
+<!ENTITY libreoffice-version          "6.2.0">
+<!ENTITY libreoffice-patch            ".3">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision cc2e1ac67fdb8b42058c5b21b0b357ef2ea713ad)
+++ xsoft/office/libreoffice.xml	(revision 0293de00d808baa0406d52fea0495206ae6e2e7e)
@@ -8,17 +8,17 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "f6e69df90d8d6de6dd223d5309f71caa">
-  <!ENTITY libreoffice-core-size          "198 MB">
+  <!ENTITY libreoffice-core-md5sum        "b559a89014fdcadabdb7469e0ab6b37c">
+  <!ENTITY libreoffice-core-size          "204 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "e5bb56a92b72c3102f4917aafebba3b4">
-  <!ENTITY libreoffice-dict-size          "42 MB">
+  <!ENTITY libreoffice-dict-md5sum        "875a61fbb92696d73e04856a67065d81">
+  <!ENTITY libreoffice-dict-size          "43 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "e02680a25ab4f5eee112170f20bf47d0">
-  <!ENTITY libreoffice-help-size          "16 MB">
+  <!ENTITY libreoffice-help-md5sum        "4a50d93f25f09f3d47f7dc110955c9c0">
+  <!ENTITY libreoffice-help-size          "15 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "8c99e7da7bfc9515f5d074ca7449471b">
+  <!ENTITY libreoffice-translations-md5sum        "1d3b58c790c64d9d4f82c333e2aa0f21">
   <!ENTITY libreoffice-translations-size          "135 MB">
 
@@ -27,5 +27,5 @@
    the built source after initial DESTDIR install doesn't take a vast time -->
 
-  <!ENTITY libreoffice-buildsize  "6.4 GB (756 MB installed). Installing the whole set of languages was previously reported to require up to 26 GB (2.9 GB installed)">
+  <!ENTITY libreoffice-buildsize  "8.9 GB (827 MB installed). Installing the whole set of languages was previously reported to require up to 26 GB (2.9 GB installed)">
 
   <!-- for 6.1.2.1 I allowed 2 SBU for downloads, my total was 
@@ -60,5 +60,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -148,5 +148,6 @@
 
 
-<!-- keep one commented patch, it's sure to again need one or more in a few months -->
+<!-- keep one commented patch, it's sure to again need one or more in a few months:
+For libreoffice 6.2.0.4, almost blfs 8.4: no patch needed, only a sed below
       <listitem>
         <para>
@@ -156,11 +157,5 @@
         </para>
       </listitem>
-
-      <listitem>
-        <para>
-          Required patch to allow building against <xref linkend="openjdk"/>:
-          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-jdk11_fixes-1.patch"/>
-        </para>
-      </listitem>
+-->
 
     </itemizedlist>
@@ -229,5 +224,5 @@
 <!-- not anymore in the book, but included in apache-ant
      <xref linkend="junit"/>, -->
-<!--      <xref linkend="kdelibs"/>, -->
+      <xref linkend="kf5-frameworks"/>,
       <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
       <xref linkend="mitkrb"/>,
@@ -305,6 +300,6 @@
 cd libreoffice-&libreoffice-dlversion;</userinput></screen>
 
-<!-- keep a commented instruction if no patches are currently required -->
-    <para> <!-- for all recent versions -->
+<!-- keep a commented instruction if no patches are currently required
+    <para> <!- - for all recent versions - ->
      Fix build failures introduced by recent versions of <xref linkend="poppler"/>
      and <xref linkend="boost"/>:
@@ -312,12 +307,11 @@
 
 <screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-consolidated_fixes-1.patch</userinput></screen>
-
-    <para>
-      Fix a build failure introduced by recent versions of
-      <xref linkend="openjdk"/>:
-      <!-- Needed for OpenJDK-11.0.2+7 AND 9 - removed method calls -->
-    </para>
-
-<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-jdk11_fixes-1.patch</userinput></screen>
+-->
+    <para>
+      Fix a type mismatch introduced by recent versions of <xref
+      linkend="boost"/>:
+    </para>
+
+<screen><userinput>sed -i 's/loaded;/bool{loaded};/' sfx2/source/appl/shutdownicon.cxx</userinput></screen>
 
     <para>
@@ -373,4 +367,5 @@
 sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
 
+<!-- Removed in 6.2             - -with-alloc=system         \-->
 ./autogen.sh --prefix=$LO_PREFIX         \
              --sysconfdir=/etc           \
@@ -379,5 +374,4 @@
              --with-help                 \
              --with-myspell-dicts        \
-             --with-alloc=system         \
              --without-junit             \
              --without-system-dicts      \
@@ -424,5 +418,6 @@
     </para>
 
-<screen><userinput>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make build-nocheck</userinput></screen>
+<screen><userinput>make build-nocheck</userinput></screen>
+<!--<screen><userinput>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make build-nocheck</userinput></screen>-->
 
     <para>
@@ -588,4 +583,5 @@
     </para>
 
+<!--
     <para>
       <command>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make ...</command>: <xref
@@ -595,4 +591,11 @@
       <application>libreoffice</application>.
     </para>
+-->
+    <para>
+      <command>make distro-pack-install</command>: this does a normal
+      install, but if you add a DESTDIR environment variable it will also
+      install a lot of (text) gid_Module_* files in the DESTDIR, to help
+      distributions which want to break the package into parts.
+    </para>
 
     <para>
@@ -642,13 +645,16 @@
 
     <para>
-      <option>--with-java</option>: This switch enables
+      <option>--without-java</option>: This switch disables
       <application>Java</application> support in
       <application>LibreOffice</application>. Java is needed for the
       deprecated HSQLDB driver, which allows reading databases created by
       other programs or in earlier versions of libreoffice
-      <application>base</application>. You may also need to add:
-      <option>--with-junit=/opt/ant/lib/junit-4.12.jar</option>
-      <option>--with-jdk-home=/opt/jdk</option>
-      <option>--with-hamcrest=/opt/ant/lib/hamcrest-core-1.3.jar</option>
+      <application>base</application>.
+    </para>
+
+    <para>
+      <option>--with-junit=/opt/ant/lib/junit-4.12.jar</option> and
+      <option>--with-hamcrest=/opt/ant/lib/hamcrest-core-1.3.jar</option>:
+      Those options are needed if you want to run the tests.
     </para>
 
@@ -661,8 +667,10 @@
 
     <para>
-      <parameter>make distro-pack-install</parameter>: this does a normal
-      install, but if you add a DESTDIR environment variable it will also
-      install a lot of (text) gid_Module_* files in the DESTDIR, to help
-      distributions which want to break the package into parts.
+      <option>--with-kde5</option>: Builds with KDE/Plasma integration. If
+      <xref linkend="qt5"/> and/or <xref linkend="kf5-frameworks"/> are not
+      installed in <filename class="directory">/usr</filename>, the include
+      and library directories must be specified in <envar>QT5INC</envar>,
+      <envar>QT5LIB</envar>, <envar>KF5INC</envar>, and <envar>KF5LIB</envar>,
+      respectively.
     </para>
 