Index: gnome/add/evolution-data-server.xml
===================================================================
--- gnome/add/evolution-data-server.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/evolution-data-server.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY evolution-data-server-download-http "&gnome-download-http;/evolution-data-server/1.4/evolution-data-server-&evolution-data-server-version;.tar.bz2">
-  <!ENTITY evolution-data-server-download-ftp  "&gnome-download-ftp;/evolution-data-server/1.4/evolution-data-server-&evolution-data-server-version;.tar.bz2">
-  <!ENTITY evolution-data-server-md5sum        "1590ec25527b1bcc5046e84ec2d1227f">
-  <!ENTITY evolution-data-server-size          "14.1 MB">
-  <!ENTITY evolution-data-server-buildsize     "171 MB">
-  <!ENTITY evolution-data-server-time          "3.5 SBU (additional 0.6 SBU to run the test suite)">
+  <!ENTITY evolution-data-server-download-http "&gnome-download-http;/evolution-data-server/1.6/evolution-data-server-&evolution-data-server-version;.tar.bz2">
+  <!ENTITY evolution-data-server-download-ftp  "&gnome-download-ftp;/evolution-data-server/1.6/evolution-data-server-&evolution-data-server-version;.tar.bz2">
+  <!ENTITY evolution-data-server-md5sum        "165f493eec8a2c8fc6eca3fdeb8c4885">
+  <!ENTITY evolution-data-server-size          "7.1 MB">
+  <!ENTITY evolution-data-server-buildsize     "178 MB">
+  <!ENTITY evolution-data-server-time          "3.5 SBU (additional 0.5 SBU to run the test suite)">
 ]>
 
@@ -20,8 +20,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">evolution-data-server-&evolution-data-server-version;.tar</keyword>
-      <keyword role="ftpdir">evolution-data-server</keyword>
-    </keywordset>
   </sect1info>
 
@@ -74,9 +70,12 @@
 
     <para>The <application>NSS</application> package is not required if you
-    have <xref linkend="firefox"/>, <xref linkend="thunderbird"/> or
-    <xref linkend="seamonkey"/> installed. These packages contain internal
-    copies of <application>NSS</application> (or they used a system-installed
-    copy). If any of the three packages are installed, one way or another you
-    will already have NSS/NSPR libraries on your system.</para>
+    have <xref linkend="firefox"/>, <xref linkend="thunderbird"/>,
+    <xref linkend="seamonkey"/> or
+    <ulink url="http://www.mozilla.org/products/mozilla1.x/">Mozilla</ulink>
+    installed. These packages contain internal copies of
+    <application>NSS</application> (or they used a system-installed copy).
+    If any of the four packages are installed, one way or another you will
+    already have NSS/NSPR libraries on your system.</para>
+
 
     <bridgehead renderas="sect4">Optional</bridgehead>
@@ -104,24 +103,34 @@
       installed on your system. If you elected not to install
       <application>NSS</application> (or one of the other packages mentioned
-      above), you'll need to remove the following four parameter settings from
+      above), you'll need to remove the following two parameter settings from
       the <command>configure</command> command below:</para>
 
       <literallayout><parameter>            --enable-nss
-            --enable-smime
-            --with-nspr-includes=/usr/include/nspr
+            --enable-smime</parameter></literallayout>
+
+      <para>The <application>Evolution</application>
+      <command>configure</command> script only looks for the stand-alone
+      <application>NSS</application> package and the
+      <application>Mozilla</application> and
+      <application>Firefox</application> browsers for the NSS/NSPR libraries.
+      If you are using <application>Thunderbird</application> as your source
+      for the NSS/NSPR libraries, you will have to add the following two
+      parameter settings to the <command>configure</command> command
+      below:</para>
+
+      <literallayout><parameter>            --with-nspr-includes=/usr/include/nspr
             --with-nss-includes=/usr/include/nss</parameter></literallayout>
     </note>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-            --libexecdir=`pkg-config --variable=prefix \
-                ORBit-2.0`/lib/evolution-data-server-1.2 \
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
+            --libexecdir=$(pkg-config --variable=prefix \
+                ORBit-2.0)/lib/evolution-data-server-1.2 \
             --enable-nntp \
             --enable-nss \
-            --enable-smime \
-            --with-nspr-includes=/usr/include/nspr \
-            --with-nss-includes=/usr/include/nss &amp;&amp;
+            --enable-smime &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make -k check</command>.</para>
+    <para>To test the results, issue: <command>make -k check</command>. At
+    least one test is known to fail and 18 are known to pass.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
@@ -134,6 +143,6 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--libexecdir=`pkg-config --variable=prefix
-    ORBit-2.0`/lib/evolution-data-server-1.2</parameter>: This switch puts
+    <para><parameter>--libexecdir=$(pkg-config --variable=prefix
+    ORBit-2.0)/lib/evolution-data-server-1.2</parameter>: This switch puts
     libexec files in <filename
     class="directory">$GNOME_PREFIX/lib/evolution-data-server-1.2</filename>
@@ -151,5 +160,6 @@
     support.</para>
 
-    <para><parameter>--with-{nspr,nss}-includes</parameter>: This parameter is
+    <!--
+    <para><parameter>-with-{nspr,nss}-includes</parameter>: This parameter is
     used to identify where the Mozilla Network Security Services interface
     headers are located. By default,
@@ -158,4 +168,5 @@
     and chances are you will not have <application>Mozilla</application>
     installed.</para>
+    -->
 
     <note>
@@ -183,10 +194,10 @@
         modules.</seg>
         <seg>The following subdirectories of $GNOME_PREFIX/:
-        include/evolution-data-server-1.4,
+        include/evolution-data-server-1.6,
         lib/evolution-data-server-1.2,
-        share/{evolution-data-server-1.4,
+        share/{evolution-data-server-1.6,
         gtk-doc/html/libe{book,cal,data{,server}},
         idl/evolution-data-server-1.2,
-        pixmaps/evolution-data-server-1.4}</seg>
+        pixmaps/evolution-data-server-1.6}</seg>
       </seglistitem>
     </segmentedlist>
Index: gnome/add/gnome-audio.xml
===================================================================
--- gnome/add/gnome-audio.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/gnome-audio.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -4,16 +4,4 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
-
-    <!-- Inserted as a reminder to do this. The mention of a test suite
-         is usually right before the root user installation commands. Please
-         delete these 12 (including one blank) lines after you are done.-->
-
-    <!-- Use one of the two mentions below about a test suite,
-         delete the line that is not applicable. Of course, if the
-         test suite uses syntax other than "make check", revise the
-         line to reflect the actual syntax to run the test suite -->
-
-    <!-- <para>This package does not come with a test suite.</para> -->
-    <!-- <para>To test the results, issue: <command>make check</command>.</para> -->
 
   <!ENTITY gnome-audio-download-http "&gnome-download-http;/gnome-audio/2.0/gnome-audio-&gnome-audio-version;.tar.bz2">
@@ -31,8 +19,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">gnome-audio-&gnome-audio-version;.tar</keyword>
-      <keyword role="ftpdir">gnome-audio</keyword>
-    </keywordset>
   </sect1info>
 
@@ -89,5 +73,5 @@
     user:</para>
 
-<screen role="root"><userinput>make prefix=`pkg-config --variable=prefix ORBit-2.0` install</userinput></screen>
+<screen role="root"><userinput>make prefix=$(pkg-config --variable=prefix ORBit-2.0) install</userinput></screen>
 
   </sect2>
Index: gnome/add/gtkhtml.xml
===================================================================
--- gnome/add/gtkhtml.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/gtkhtml.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -5,9 +5,9 @@
   %general-entities;
 
-<!ENTITY gtkhtml-download-http "&gnome-download-http;/gtkhtml/3.8/gtkhtml-&gtkhtml-version;.tar.bz2">
-<!ENTITY gtkhtml-download-ftp  "&gnome-download-http;/gtkhtml/3.8/gtkhtml-&gtkhtml-version;.tar.bz2">
-<!ENTITY gtkhtml-md5sum        "4455e24142cc914f00f1e8b81940df68">
+<!ENTITY gtkhtml-download-http "&gnome-download-http;/gtkhtml/3.10/gtkhtml-&gtkhtml-version;.tar.bz2">
+<!ENTITY gtkhtml-download-ftp  "&gnome-download-http;/gtkhtml/3.10/gtkhtml-&gtkhtml-version;.tar.bz2">
+<!ENTITY gtkhtml-md5sum        "4fe10da72b4ac578401ceffcce03ceed">
 <!ENTITY gtkhtml-size          "1.2 MB">
-<!ENTITY gtkhtml-buildsize     "56.0 MB">
+<!ENTITY gtkhtml-buildsize     "57.0 MB">
 <!ENTITY gtkhtml-time          "1.3 SBU">
 ]>
@@ -19,8 +19,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">gtkhtml-&gtkhtml-version;.tar</keyword>
-      <keyword role="ftpdir">gtkhtml</keyword>
-    </keywordset>
   </sect1info>
 
@@ -35,7 +31,12 @@
 
     <para>The <application>GtkHTML</application> package contains a
-    lightweight HTML rendering/printing/editing engine. This is an
+    lightweight HTML rendering/printing/editing engine.</para>
+
+    <!-- GTK-Sharp can use this package, and Beagle can use these
+         extensions, so I suppose this package is no longer
+         "Evolution specific"
+    This is an
     <application>Evolution</application> specific application at
-    this time.</para>
+    this time.</para> -->
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -70,5 +71,6 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="libsoup"/></para>
+    <para role="optional"><xref linkend="libsoup"/> and
+    <xref linkend="intltool"/></para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -83,7 +85,7 @@
     commands:</para>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-            --libexecdir=`pkg-config \
-            --variable=prefix ORBit-2.0`/lib/gtkhtml &amp;&amp;
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
+            --libexecdir=$(pkg-config \
+                --variable=prefix ORBit-2.0)/lib/gtkhtml &amp;&amp;
 make</userinput></screen>
 
@@ -106,9 +108,9 @@
       <seglistitem>
         <seg>None</seg>
-        <seg>libgtkhtml-3.x.{so,a} and libgnome-gtkhtml-editor-3.x.{so,a}</seg>
+        <seg>libgtkhtml-3.8.{so,a} and libgnome-gtkhtml-editor-3.8.{so,a}</seg>
         <seg>The following subdirectories of $GNOME_PREFIX/:
-        include/libgtkhtml-3.x,
+        include/libgtkhtml-3.8,
         lib/gtkhtml, and
-        share/gtkhtml-3.x</seg>
+        share/gtkhtml-3.8</seg>
       </seglistitem>
     </segmentedlist>
@@ -120,9 +122,9 @@
 
       <varlistentry id="libgtkhtml-3">
-        <term><filename class='libraryfile'>libgtkhtml-3.x.{so,a}</filename></term>
+        <term><filename class='libraryfile'>libgtkhtml-3.8.{so,a}</filename></term>
         <listitem>
           <para>provide the functions to render HTML within applications.</para>
           <indexterm zone="gtkhtml libgtkhtml-3">
-            <primary sortas="c-libgtkhtml-3">libgtkhtml-3.x.{so,a}</primary>
+            <primary sortas="c-libgtkhtml-3">libgtkhtml-3.8.{so,a}</primary>
           </indexterm>
         </listitem>
Index: gnome/add/gtksourceview.xml
===================================================================
--- gnome/add/gtksourceview.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/gtksourceview.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -7,7 +7,7 @@
   <!ENTITY gtksourceview-download-http "&gnome-download-http;/gtksourceview/1.4/gtksourceview-&gtksourceview-version;.tar.bz2">
   <!ENTITY gtksourceview-download-ftp  "&gnome-download-ftp;/gtksourceview/1.4/gtksourceview-&gtksourceview-version;.tar.bz2">
-  <!ENTITY gtksourceview-md5sum        "323a56ae9559af12f64fc5090955e68b">
-  <!ENTITY gtksourceview-size          "704 KB">
-  <!ENTITY gtksourceview-buildsize     "13.1 MB">
+  <!ENTITY gtksourceview-md5sum        "f8ca3a1a746477b2b46de7ebea276db5">
+  <!ENTITY gtksourceview-size          "743 KB">
+  <!ENTITY gtksourceview-buildsize     "13.9 MB">
   <!ENTITY gtksourceview-time          "0.2 SBU">
 ]>
@@ -19,8 +19,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">gtksourceview-&gtksourceview-version;.tar</keyword>
-      <keyword role="ftpdir">gtksourceview</keyword>
-    </keywordset>
   </sect1info>
 
@@ -68,5 +64,6 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="gtk-doc"/></para>
+    <para role="optional"><xref linkend="gtk-doc"/> and
+    <xref linkend="intltool"/></para>
 
     <para condition="html" role="usernotes">User Notes:
@@ -81,5 +78,5 @@
     following commands:</para>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &amp;&amp;
 make</userinput></screen>
 
Index: gnome/add/libgnomecups.xml
===================================================================
--- gnome/add/libgnomecups.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/libgnomecups.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -19,8 +19,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">libgnomecups-&libgnomecups-version;.tar</keyword>
-      <keyword role="ftpdir">libgnomecups</keyword>
-    </keywordset>
   </sect1info>
 
Index: gnome/add/libgnomeprint.xml
===================================================================
--- gnome/add/libgnomeprint.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/libgnomeprint.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -5,18 +5,6 @@
   %general-entities;
 
-    <!-- Inserted as a reminder to do this. The mention of a test suite
-         is usually right before the root user installation commands. Please
-         delete these 12 (including one blank) lines after you are done.-->
-
-    <!-- Use one of the two mentions below about a test suite,
-         delete the line that is not applicable. Of course, if the
-         test suite uses syntax other than "make check", revise the
-         line to reflect the actual syntax to run the test suite -->
-
-    <!-- <para>This package does not come with a test suite.</para> -->
-    <!-- <para>To test the results, issue: <command>make check</command>.</para> -->
-
-  <!ENTITY libgnomeprint-download-http "&gnome-download-http;/libgnomeprint/&gnome-version;/libgnomeprint-&libgnomeprint-version;.tar.bz2">
-  <!ENTITY libgnomeprint-download-ftp  "&gnome-download-ftp;/libgnomeprint/&gnome-version;/libgnomeprint-&libgnomeprint-version;.tar.bz2">
+  <!ENTITY libgnomeprint-download-http "&gnome-download-http;/libgnomeprint/2.12/libgnomeprint-&libgnomeprint-version;.tar.bz2">
+  <!ENTITY libgnomeprint-download-ftp  "&gnome-download-ftp;/libgnomeprint/2.12/libgnomeprint-&libgnomeprint-version;.tar.bz2">
   <!ENTITY libgnomeprint-md5sum        "ea729d4968fe2169c84efb12ace5f6cc">
   <!ENTITY libgnomeprint-size          "787 KB">
@@ -31,8 +19,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">libgnomeprint-&libgnomeprint-version;.tar</keyword>
-      <keyword role="ftpdir">libgnomeprint</keyword>
-    </keywordset>
   </sect1info>
 
@@ -104,5 +88,5 @@
     following commands:</para>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) \
             --disable-gtk-doc &amp;&amp;
 make</userinput></screen>
Index: gnome/add/libgnomeprintui.xml
===================================================================
--- gnome/add/libgnomeprintui.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/libgnomeprintui.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -5,6 +5,6 @@
   %general-entities;
 
-  <!ENTITY libgnomeprintui-download-http "&gnome-download-http;/libgnomeprintui/&gnome-version;/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
-  <!ENTITY libgnomeprintui-download-ftp  "&gnome-download-ftp;/libgnomeprintui/&gnome-version;/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
+  <!ENTITY libgnomeprintui-download-http "&gnome-download-http;/libgnomeprintui/2.12/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
+  <!ENTITY libgnomeprintui-download-ftp  "&gnome-download-ftp;/libgnomeprintui/2.12/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
   <!ENTITY libgnomeprintui-md5sum        "fa0b0410c3ba8b6899c5ed278f02cbe5">
   <!ENTITY libgnomeprintui-size          "646 KB">
@@ -19,8 +19,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">libgnomeprintui-&libgnomeprintui-version;.tar</keyword>
-      <keyword role="ftpdir">libgnomeprintui</keyword>
-    </keywordset>
   </sect1info>
 
@@ -84,5 +80,5 @@
     following commands:</para>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &amp;&amp;
 make</userinput></screen>
 
Index: gnome/add/system-tools-backends.xml
===================================================================
--- gnome/add/system-tools-backends.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ gnome/add/system-tools-backends.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -7,6 +7,6 @@
   <!ENTITY system-tools-backends-download-http "&gnome-download-http;/system-tools-backends/1.4/system-tools-backends-&system-tools-backends-version;.tar.bz2">
   <!ENTITY system-tools-backends-download-ftp  "&gnome-download-ftp;/system-tools-backends/1.4/system-tools-backends-&system-tools-backends-version;.tar.bz2">
-  <!ENTITY system-tools-backends-md5sum        "e416b84cd5dfd0d1af63b91e0a1305c7">
-  <!ENTITY system-tools-backends-size          "706 KB">
+  <!ENTITY system-tools-backends-md5sum        "a0af1513becdf3b9bfed3535ad8f7dab">
+  <!ENTITY system-tools-backends-size          "708 KB">
   <!ENTITY system-tools-backends-buildsize     "10.2 MB">
   <!ENTITY system-tools-backends-time          "less than 0.1 SBU">
@@ -20,8 +20,4 @@
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
-    <keywordset>
-      <keyword role="package">system-tools-backends-&system-tools-backends-version;.tar</keyword>
-      <keyword role="ftpdir">system-tools-backends</keyword>
-    </keywordset>
   </sect1info>
 
@@ -67,4 +63,7 @@
     <para role="required"><xref linkend="perl-xml-parser"/></para>
 
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="intltool"/></para>
+
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/system-tools-backends"/></para>
@@ -81,5 +80,5 @@
     the following commands:</para>
 
-<screen><userinput>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
+<screen><userinput>./configure --prefix=$(pkg-config --variable=prefix ORBit-2.0) &amp;&amp;
 make</userinput></screen>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7907d8c360f53c3efb2be7d5d16d9fe22ca5fd61)
+++ introduction/welcome/changelog.xml	(revision 294d670b9cb1fec90f92cfe6c1cc63b87909b580)
@@ -46,4 +46,9 @@
       <itemizedlist>
         <listitem>
+          <para>[randy] - Updated the GNOME2 additional libraries instructions
+          to conform with the GNOME-2.14.2 update. This leaves the GNOME2
+          Accessibility and Additional Utility packages to update.</para>
+        </listitem>
+        <listitem>
           <para>[randy] - Updated to Evolution-2.6.2.</para>
         </listitem>