Index: archive/add/libkcddb.xml
===================================================================
--- archive/add/libkcddb.xml	(revision b06ee8de6c709575aba124dd3b57dfac6b295844)
+++ 	(revision )
@@ -1,155 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY libkcddb-download-http "&kde-download-http;applications/&kde-apps-version;/src/libkcddb-&kde-apps-version;.tar.xz">
-  <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "de52fdd51694e0cd51f2899c6b8e60ed">
-  <!ENTITY libkcddb-size          "156 KB">
-  <!ENTITY libkcddb-buildsize     "7.7 MB">
-  <!ENTITY libkcddb-time          "0.4 SBU">
-]>
-
-<sect1 id="libkcddb" xreflabel="libkcddb-&kde-apps-version;">
-  <?dbhtml filename="libkcddb.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>libkcddb-&kde-apps-version;</title>
-
-  <indexterm zone="libkcddb">
-    <primary sortas="a-libkcddb">libkcddb</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to libkcddb</title>
-
-    <para>
-      The <application>libkcddb</application> package contains a library
-      used to retrieve audio CD meta data from the internet.
-    </para>
-
-    &lfs79_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&libkcddb-download-http;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&libkcddb-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &libkcddb-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &libkcddb-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &libkcddb-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &libkcddb-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">libkcddb Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="kdelibs"/> and
-      <xref linkend="libmusicbrainz5"/>
-    </para>
-
-    <para condition="html" role="usernotes">
-      User Notes: <ulink url="&blfs-wiki;/libkcddb"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of libkcddb</title>
-
-    <para>
-      Install <application>libkcddb</application> by running the following
-      commands:
-    </para>
-
-<screen><userinput>mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-cmake -DCMAKE_INSTALL_PREFIX=&kde-dir;   \
-      -DCMAKE_BUILD_TYPE=Release           \
-      -DCMAKE_MINIMUM_REQUIRED_VERSION=3.0 \
-      -Wno-dev .. &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          None
-        </seg>
-        <seg>
-          libkcddb.so and kcm_cddb.so in &kde-dir;/lib/kde4
-        </seg>
-        <seg>
-          &kde-dir;/include/libkcddb,
-          &kde-dir;/lib/cmake/libkcddb and
-          several in &kde-dir;/share
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="libkcddb-lib">
-        <term><filename class="libraryfile">libkcddb.so</filename></term>
-        <listitem>
-          <para>
-            contains functions used to retrieve audio CD meta data
-            from the internet.
-          </para>
-          <indexterm zone="libkcddb libkcddb-lib">
-            <primary sortas="c-libkcddb">libkcddb.so</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: archive/k3b.xml
===================================================================
--- archive/k3b.xml	(revision b06ee8de6c709575aba124dd3b57dfac6b295844)
+++ 	(revision )
@@ -1,249 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY k3b-download-http "http://download.kde.org/stable/k3b/k3b-&k3b-version;.tar.xz">
-  <!ENTITY k3b-download-ftp  " ">
-  <!ENTITY k3b-md5sum        "52e78aabe8e483347d04e88be0aed150">
-  <!ENTITY k3b-size          "9.5 MB">
-  <!ENTITY k3b-buildsize     "326 MB">
-  <!ENTITY k3b-time          "2.4 SBU">
-]>
-
-<sect1 id="k3b" xreflabel="K3b-&k3b-version;">
-  <?dbhtml filename="k3b.html"?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>K3b-&k3b-version;</title>
-
-  <indexterm zone="k3b">
-    <primary sortas="a-K3b">K3b</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to K3b</title>
-
-    <para>
-      The <application>K3b</application> package contains a KDE-based
-      graphical interface to the <application>Cdrtools</application> and
-      <application>dvd+rw-tools</application> CD/DVD manipulation tools. It also
-      combines the capabilities of many other multimedia packages into one
-      central interface to provide a simple-to-operate application that can be
-      used to handle many of your CD/DVD recording and formatting requirements.
-      It is used for creating audio, data, video and mixed-mode CDs as well
-      as copying, ripping and burning CDs and DVDs.
-    </para>
-
-    <para>
-      Though <application>K3b</application> can be used to copy almost any
-      DVD to similar medium, it does not provide a way to copy, or reproduce a
-      double-layer DVD onto single-layer medium. Of course, there is not a
-      program anywhere on any platform that can make an exact duplicate of a
-      double-layer DVD onto a single-layer disk, there are programs on some
-      platforms that can compress the data on a double-layer DVD to fit on a
-      single-layer DVD producing a duplicate, but compressed, image. If you need
-      to copy the contents of a double-layer DVD to single-layer medium, you may
-      want to look at the
-      <ulink url="http://www.mcmurchy.com/rmlcopydvd/">RMLCopyDVD</ulink> package.
-    </para>
-
-    &lfs79_checked;
-
-    <bridgehead renderas="sect3">Package Information</bridgehead>
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          Download (HTTP): <ulink url="&k3b-download-http;"/></para>
-      </listitem>
-      <listitem>
-        <para>
-          Download (FTP): <ulink url="&k3b-download-ftp;"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download MD5 sum: &k3b-md5sum;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Download size: &k3b-size;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated disk space required: &k3b-buildsize;
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          Estimated build time: &k3b-time;
-        </para>
-      </listitem>
-    </itemizedlist>
-
-    <bridgehead renderas="sect3">K3b Dependencies</bridgehead>
-
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="kde-runtime"/>,
-      <xref linkend="libkcddb"/>, and
-      <xref linkend="libsamplerate"/>
-    </para>
-
-    <para>
-      There are programs from three packages that
-      <application>K3b</application> will look for at runtime:
-      <ulink url="http://freecode.com/projects/cdrecord">Cdrtools</ulink>
-      (required to burn CD-ROM media), <xref linkend="dvd-rw-tools"/>
-      (required to burn or format DVD media), and <xref linkend="cdrdao"/>
-      (required to burn CD-ROM media in DAO (Disk At Once) mode). If you
-      don't need the capability provided by any of the three packages, you don't
-      have to install it. However, a warning message will be generated every time
-      you run the <command>k3b</command> program if any are not installed.
-    </para>
-
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="recommended">
-      <xref linkend="libkcompactdisk"/> and
-      <xref linkend="audiocd-kio"/>,
-      <xref linkend="ffmpeg"/>,
-      <xref linkend="libdvdread"/>,
-      <xref linkend="libjpeg"/>, and
-      <xref linkend="taglib"/>
-    </para>
-
-    <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional">
-      <xref linkend="flac"/>,
-      <xref linkend="lame"/>,
-      <xref linkend="libmad"/>,
-      <xref linkend="libsndfile"/>,
-      <xref linkend="libvorbis"/>,
-      <xref linkend="libmusicbrainz"/>,
-      <ulink url="http://www.musepack.net/">Musepack (libmpcdec)</ulink>, and
-      <ulink url="http://www.vcdimager.org/">VCDImager</ulink>
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/k3b"/>
-    </para>
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of K3b</title>
-
-    <para>
-      Install <application>K3b</application> by running the following
-      commands:
-    </para>
-
-      <note>
-        <para>If you use the download link from a browser, you might
-        get a file called <literal>k3b-2.0.3a.tar.gz</literal>: there
-        are both <literal>2.0.3</literal> and <literal>2.0.3a</literal>
-        versions in that directory. There is an old report online which
-        claims that two files in these tarballs differ, but both extract
-        to <literal>k3b-2.0.3</literal> and have the same md5sum.</para>
-      </note>
-
-<screen><userinput>sed -i -e 's/^cmake_minimum/#cmake_minimum/' CMakeLists.txt &amp;&amp;
-
-mkdir build &amp;&amp;
-cd    build &amp;&amp;
-
-cmake -DCMAKE_INSTALL_PREFIX=&kde-dir; \
-      -DSYSCONF_INSTALL_DIR=/etc/kde     \
-      -Wno-dev ..  &amp;&amp;
-make</userinput></screen>
-
-    <para>
-      This package does not come with a test suite.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="commands">
-    <title>Command Explanations</title>
-
-    <para>
-      <parameter>sed -i -e 's/^cmake_minimum/#cmake_minimum/' CMakeLists.txt</parameter>:
-      This command prevents multiple <application>cmake</application> errors
-      of the form 'add_custom_target cannot create target "doc-XX-handbook"
-      because another target with the same name already exists.' (where XX
-      is a language code).
-    </para>
-
-  </sect2>
-
-  <sect2 role="content">
-    <title>Contents</title>
-
-    <segmentedlist>
-      <segtitle>Installed Programs</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
-
-      <seglistitem>
-        <seg>
-          k3b and k3bsetup
-        </seg>
-        <seg>
-          libk3b.so, libk3bdevice.so and numerous
-          modules for the installed dependencies
-        </seg>
-        <seg>
-          The following subdirectories of <envar>&kde-dir;</envar>/share/:
-          applnk/Settings/System, apps/k3b, doc/HTML/*/k3b
-        </seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="k3b-prog">
-        <term><command>k3b</command></term>
-        <listitem>
-          <para>
-            is the graphical CD/DVD program.
-          </para>
-          <indexterm zone="k3b k3b-prog">
-            <primary sortas="b-k3b">k3b</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="k3bsetup">
-        <term><command>k3bsetup</command></term>
-        <listitem>
-          <para>
-            is a script used to launch the k3bsetup2 KControlModule
-            for setting up the CD/DVD hardware and device files on
-            your system.
-          </para>
-          <indexterm zone="k3b k3bsetup">
-            <primary sortas="b-k3bsetup">k3bsetup</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>