Index: general/genutils/appdata-tools.xml
===================================================================
--- general/genutils/appdata-tools.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/appdata-tools.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/bogofilter-systemd.xml
===================================================================
--- general/genutils/bogofilter-systemd.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/bogofilter-systemd.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/hd2u.xml
===================================================================
--- general/genutils/hd2u.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/hd2u.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -33,5 +33,5 @@
     an any to any text format converter.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/lsof.xml
===================================================================
--- general/genutils/lsof.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/lsof.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -33,5 +33,5 @@
     Files for a given running application or process.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -59,9 +59,4 @@
     <bridgehead renderas="sect3">lsof Dependencies</bridgehead>
 
-    <bridgehead renderas="sect4">Required</bridgehead>
-    <para role="required">
-      <xref linkend="libtirpc"/>
-    </para>
-
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/lsof"/></para>
@@ -80,5 +75,5 @@
 cd lsof_&lsof-version;_src           &amp;&amp;
 ./Configure -n linux       &amp;&amp;
-make CFGL="-L./lib -ltirpc"</userinput></screen>
+make</userinput></screen>
 
     <para>This package does not come with a working test suite.</para>
@@ -86,5 +81,5 @@
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
-<screen role="root"><userinput>install -v -m0755 -o root -g root lsof /usr/bin &amp;&amp;
+<screen role="root"><userinput>install -v -m755 -o root -g root lsof /usr/bin &amp;&amp;
 install -v lsof.8 /usr/share/man/man8</userinput></screen>
 
Index: general/genutils/screen.xml
===================================================================
--- general/genutils/screen.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/screen.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -39,5 +39,5 @@
     later on a different terminal.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -94,5 +94,5 @@
 
 <screen role="root"><userinput>make install &amp;&amp;
-install -m 644 etc/etcscreenrc /etc/screenrc</userinput></screen>
+install -v -m644 etc/etcscreenrc /etc/screenrc</userinput></screen>
 
   </sect2>
Index: general/genutils/time.xml
===================================================================
--- general/genutils/time.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/time.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -46,5 +46,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -115,17 +115,17 @@
 
     <segmentedlist>
-      <segtitle>Installed Program(s)</segtitle>
-
-      <!-- If there were no programs, libraries, or directories created, then
-           we would list the section as "None". However, a decision must have
-           been made to change the "None" to just removing the whole section
-           because I've noticed that many packages have had the "None"
-           removed and the section completely removed as well. The reasoning
-           was that by putting "None", it appears as we know there are none.
-           Without anything it appears as we are not sure. -->
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
         <seg>
-          time.
+          time
+        </seg>
+        <seg>
+          None
+        </seg>
+        <seg>
+          None
         </seg>
       </seglistitem>
Index: general/genutils/tree.xml
===================================================================
--- general/genutils/tree.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/tree.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -34,5 +34,5 @@
     directories, files, links.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/genutils/xscreensaver.xml
===================================================================
--- general/genutils/xscreensaver.xml	(revision 0dc08b30effcec525b3b56aefe52a1332df5619b)
+++ general/genutils/xscreensaver.xml	(revision 296a7bebd27805afde36239b866fc6852a3ebc76)
@@ -42,5 +42,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -93,5 +93,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <ulink url="&gnome-download-http;/gdm/">GDM</ulink>,
+      <xref linkend="gdm"/>,
       <ulink url="http://linas.org/gle/">GLE</ulink> and
       <xref linkend="linux-pam"/>